<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__hmac__v1_8c" kind="file" language="C++">
    <compoundname>cy_crypto_core_hmac_v1.c</compoundname>
    <includes local="yes" refid="cy__crypto__core__hmac__v1_8h">cy_crypto_core_hmac_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__sha__v1_8h">cy_crypto_core_sha_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw__v1_8h">cy_crypto_core_hw_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__mem__v1_8h">cy_crypto_core_mem_v1.h</includes>
    <includes local="yes" refid="cy__syslib_8h">cy_syslib.h</includes>
    <includes local="no">string.h</includes>
    <incdepgraph>
      <node id="128">
        <label>cy_crypto_core_hmac_v1.c</label>
        <link refid="cy__crypto__core__hmac__v1_8c" />
        <childnode refid="129" relation="include">
        </childnode>
      </node>
      <node id="129">
        <label>string.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__stc__crypto__v1__hmac__state__t">cy_stc_crypto_v1_hmac_state_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__crypto__hmac__buffers__t">cy_stc_crypto_hmac_buffers_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__crypto__core__hmac__v1_8c_1ac2fb2a2fc4eb4f7ac91a484414004a7d" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_HMAC_IPAD</name>
        <initializer>(0x36u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="43" />
      </memberdef>
      <memberdef id="cy__crypto__core__hmac__v1_8c_1a6815c33e4f9fad1eb4cb4a1990942533" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_HMAC_0PAD</name>
        <initializer>(0x5Cu)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="44" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="44" />
      </memberdef>
      <memberdef id="cy__crypto__core__hmac__v1_8c_1a6c67eb4dbd13f80f7517467ded3ceb0b" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_HMAC_MAX_PAD_SIZE</name>
        <initializer>(128u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="45" />
      </memberdef>
      <memberdef id="cy__crypto__core__hmac__v1_8c_1afc5e0749274b8632dad0d6aaeb3f7a2c" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_HMAC_MAX_M0_KEY_SIZE</name>
        <initializer>(128u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="46" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__crypto__core__hmac__v1_8c_1a80ec80abc6d7a6fca02e0a802146ac50" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void Cy_Crypto_Core_V1_Hmac_Init</definition>
        <argsstring>(cy_stc_crypto_v1_hmac_state_t *hmacState, uint8_t *ipad, uint8_t *opad, uint8_t *m0Key)</argsstring>
        <name>Cy_Crypto_Core_V1_Hmac_Init</name>
        <param>
          <type>cy_stc_crypto_v1_hmac_state_t *</type>
          <declname>hmacState</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>ipad</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>opad</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>m0Key</declname>
        </param>
        <briefdescription>
<para>Initializes HMAC (Hash-based Message Authentication Code) calculation. </para>        </briefdescription>
        <detaileddescription>
<para>User should allocate two buffers (ipad and opad) for HMAC calculation.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>hmacState</parametername>
</parameternamelist>
<parameterdescription>
<para>the pointer to the hmacState structure which stores internal variables for HMAC calculation.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ipad</parametername>
</parameternamelist>
<parameterdescription>
<para>The memory buffer for HMAC calculation, the max used size = CRYPTO_HMAC_MAX_PAD_SIZE.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>opad</parametername>
</parameternamelist>
<parameterdescription>
<para>The memory buffer for HMAC calculation, the max used size = CRYPTO_HMAC_MAX_PAD_SIZE.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>m0Key</parametername>
</parameternamelist>
<parameterdescription>
<para>The memory buffer for HMAC calculation, the max used size = CRYPTO_HMAC_MAX_M0_KEY_SIZE. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="115" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="66" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hmac__v1_8c_1a24db2f8507350b5768d32820cff58a39" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>static cy_en_crypto_status_t Cy_Crypto_Core_V1_Hmac_Calculate</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_v1_hmac_state_t *hmacState, cy_stc_crypto_sha_state_t *hashState, uint8_t const *key, uint32_t keyLength, uint8_t const *message, uint32_t messageSize, uint8_t *hmac)</argsstring>
        <name>Cy_Crypto_Core_V1_Hmac_Calculate</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>cy_stc_crypto_v1_hmac_state_t *</type>
          <declname>hmacState</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref> *</type>
          <declname>hashState</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>keyLength</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>message</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>messageSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>hmac</declname>
        </param>
        <briefdescription>
<para>Starts HMAC (Hash-based Message Authentication Code) calculation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hmacState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hmacState structure which stores internal variables for HMAC calculation.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hashState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hashState structure which stores internal variables of the SHA algorithm because it is used for HMAC calculation.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the key used in computing SHA.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>keyLength</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>message</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the input message.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>messageSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the input message.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hmac</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the calculated HMAC. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="251" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="71" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hmac__v1_8c_1aa50e36ea2bbed7502d7bd099515e2c9e" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void Cy_Crypto_Core_V1_Hmac_Free</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_v1_hmac_state_t *hmacState)</argsstring>
        <name>Cy_Crypto_Core_V1_Hmac_Free</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>cy_stc_crypto_v1_hmac_state_t *</type>
          <declname>hmacState</declname>
        </param>
        <briefdescription>
<para>Clears the used memory buffers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hmacState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the HMAC context. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="272" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="266" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="80" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__crypto__core__hmac__v1_8c_1ad1a179cf742fbaf98122d8ddc3cebdb6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_V1_Hmac</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t *hmac, uint8_t const *message, uint32_t messageSize, uint8_t const *key, uint32_t keyLength, cy_en_crypto_sha_mode_t mode)</argsstring>
        <name>Cy_Crypto_Core_V1_Hmac</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>hmac</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>message</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>messageSize</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>key</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>keyLength</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga66ead9efce36e261e978cad722bf2dbb">cy_en_crypto_sha_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>Performs HMAC calculation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hmac</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the calculated HMAC. Must be 4-byte aligned.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>message</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a message whose hash value is being computed.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>messageSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of a message.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>keyLength</parametername>
</parameternamelist>
<parameterdescription>
<para>The length of the key.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__crypto__enums_1ga66ead9efce36e261e978cad722bf2dbb">cy_en_crypto_sha_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="337" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" line="305" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the source code to the API for the HMAC method in the Crypto block driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#include<sp />"cy_crypto_core_hmac_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_SHA<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_sha_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_mem_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;string.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_HMAC_IPAD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x36u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_HMAC_0PAD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x5Cu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_HMAC_MAX_PAD_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp />(128u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_HMAC_MAX_M0_KEY_SIZE<sp /><sp /><sp /><sp />(128u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal">{</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*ipad;</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*opad;</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*m0Key;</highlight></codeline>
<codeline lineno="53"><highlight class="normal">}<sp />cy_stc_crypto_v1_hmac_state_t;</highlight></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="comment">/*<sp />Allocating<sp />internal<sp />variables<sp />into<sp />the<sp />CRYPTO<sp />SRAM<sp />Buffer<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal">{</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ipad[CY_CRYPTO_HMAC_MAX_PAD_SIZE<sp />/<sp />4u];</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />opad[CY_CRYPTO_HMAC_MAX_PAD_SIZE<sp />/<sp />4u];</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />m0Key[<ref kindref="member" refid="group__group__crypto__cli__srv__macros_1ga2c7ea67d6362498833d0e75afb05d5a4">CY_CRYPTO_SHA_MAX_BLOCK_SIZE</ref><sp />/<sp />4u];</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_crypto_v1_sha512_buffers_t<sp />shaBuffers;</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_crypto_v1_hmac_state_t<sp />hmacState;</highlight></codeline>
<codeline lineno="63"><highlight class="normal">}<sp />cy_stc_crypto_hmac_buffers_t;</highlight></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="comment">/*<sp />Functions<sp />declarations<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_Hmac_Init(cy_stc_crypto_v1_hmac_state_t<sp />*hmacState,</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ipad,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*opad,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*m0Key);</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />Cy_Crypto_Core_V1_Hmac_Calculate(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_crypto_v1_hmac_state_t<sp />*hmacState,</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref><sp />*hashState,</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*key,</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />keyLength,</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*message,</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />messageSize,</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*hmac);</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_Hmac_Free(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_crypto_v1_hmac_state_t<sp />*hmacState);</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="84"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_Hmac_Init</highlight></codeline>
<codeline lineno="85"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="107"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_Hmac_Init(cy_stc_crypto_v1_hmac_state_t<sp />*hmacState,</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*ipad,</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*opad,</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*m0Key)</highlight></codeline>
<codeline lineno="111"><highlight class="normal">{</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />hmacState-&gt;ipad<sp /><sp />=<sp />ipad;</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp />hmacState-&gt;opad<sp /><sp />=<sp />opad;</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />hmacState-&gt;m0Key<sp />=<sp />m0Key;</highlight></codeline>
<codeline lineno="115"><highlight class="normal">}</highlight></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="118"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_Hmac_Calculate</highlight></codeline>
<codeline lineno="119"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="150"><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />Cy_Crypto_Core_V1_Hmac_Calculate(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_crypto_v1_hmac_state_t<sp />*hmacState,</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref><sp />*hashState,</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*key,</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />keyLength,</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*message,</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />messageSize,</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*hmac)</highlight></codeline>
<codeline lineno="158"><highlight class="normal">{</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult<sp />=<sp /><ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />i<sp />=<sp />0uL;</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*ipadPtrTmp<sp /><sp />=<sp />(uint8_t*)hmacState-&gt;ipad;</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*opadPtrTmp<sp /><sp />=<sp />(uint8_t*)hmacState-&gt;opad;</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*m0KeyPtrTmp<sp />=<sp />(uint8_t*)hmacState-&gt;m0Key;</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Steps<sp />1-3<sp />according<sp />to<sp />FIPS<sp />198-1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />if<sp />(keyLength<sp />&gt;<sp />hashState-&gt;blockSize)</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />key<sp />is<sp />larger<sp />than<sp />the<sp />block<sp />size.<sp />Do<sp />a<sp />hash<sp />on<sp />the<sp />key.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Start(base,<sp />hashState);</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Update(base,<sp />hashState,<sp />key,<sp />keyLength);</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Finish(base,<sp />hashState,<sp />(uint8_t*)m0KeyPtrTmp);</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Append<sp />zeros<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemSet(base,<sp />(m0KeyPtrTmp<sp />+<sp />hashState-&gt;digestSize),<sp />0x00u,</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint16_t)(hashState-&gt;blockSize<sp />-<sp />hashState-&gt;digestSize));</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(keyLength<sp />&lt;<sp />hashState-&gt;blockSize)</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />If<sp />the<sp />key<sp />is<sp />shorter<sp />than<sp />the<sp />block,<sp />append<sp />zeros<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemCpy(base,<sp />m0KeyPtrTmp,<sp />key,<sp />(uint16_t)keyLength);</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemSet(base,<sp />(m0KeyPtrTmp<sp />+<sp />keyLength),<sp />0x00u,<sp />(uint16_t)(hashState-&gt;blockSize<sp />-<sp />keyLength));</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemCpy(base,<sp />m0KeyPtrTmp,<sp />key,<sp />(uint16_t)keyLength);</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Steps<sp />4<sp />and<sp />7<sp />according<sp />to<sp />FIPS<sp />198-1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(i<sp />&lt;<sp />hashState-&gt;blockSize)</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ipadPtrTmp[i]<sp />=<sp />CY_CRYPTO_HMAC_IPAD<sp />^<sp />m0KeyPtrTmp[i];</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />opadPtrTmp[i]<sp />=<sp />CY_CRYPTO_HMAC_0PAD<sp />^<sp />m0KeyPtrTmp[i];</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />i++;</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Step<sp />6<sp />according<sp />to<sp />FIPS<sp />198-1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Start(base,<sp />hashState);</highlight></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Update(base,<sp />hashState,<sp />ipadPtrTmp,<sp />hashState-&gt;blockSize);</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Append<sp />a<sp />message<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Update<sp />(base,<sp />hashState,<sp />message,<sp />messageSize);</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Finish<sp />(base,<sp />hashState,<sp />ipadPtrTmp);</highlight></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Here<sp />is<sp />the<sp />ready<sp />part<sp />of<sp />HASH:<sp />Hash((Key^ipad)||text)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Steps<sp />8,<sp />9<sp />according<sp />to<sp />FIPS<sp />198-1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Start(base,<sp />hashState);</highlight></codeline>
<codeline lineno="232"><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Update(base,<sp />hashState,<sp />opadPtrTmp,<sp />hashState-&gt;blockSize);</highlight></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="237"><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Append<sp />HASH<sp />from<sp />Step<sp />6<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="241"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Update(base,<sp />hashState,<sp />(uint8_t*)ipadPtrTmp,<sp />hashState-&gt;digestSize);</highlight></codeline>
<codeline lineno="242"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="244"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Finish(base,<sp />hashState,<sp />hmac);</highlight></codeline>
<codeline lineno="246"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="249"><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(tmpResult);</highlight></codeline>
<codeline lineno="251"><highlight class="normal">}</highlight></codeline>
<codeline lineno="252"><highlight class="normal" /></codeline>
<codeline lineno="253"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="254"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_Hmac_Free</highlight></codeline>
<codeline lineno="255"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="266"><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_Crypto_Core_V1_Hmac_Free(CRYPTO_Type<sp />*base,<sp />cy_stc_crypto_v1_hmac_state_t<sp />*hmacState)</highlight></codeline>
<codeline lineno="267"><highlight class="normal">{</highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />the<sp />memory<sp />buffer.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemSet(base,<sp />hmacState-&gt;ipad,<sp /><sp />0x00u,<sp />CY_CRYPTO_HMAC_MAX_PAD_SIZE);</highlight></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemSet(base,<sp />hmacState-&gt;opad,<sp /><sp />0x00u,<sp />CY_CRYPTO_HMAC_MAX_PAD_SIZE);</highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemSet(base,<sp />hmacState-&gt;m0Key,<sp />0x00u,<sp />CY_CRYPTO_HMAC_MAX_M0_KEY_SIZE);</highlight></codeline>
<codeline lineno="272"><highlight class="normal">}</highlight></codeline>
<codeline lineno="273"><highlight class="normal" /></codeline>
<codeline lineno="274"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="275"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_V1_Hmac</highlight></codeline>
<codeline lineno="276"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="305"><highlight class="normal"><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />Cy_Crypto_Core_V1_Hmac(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*hmac,</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*message,</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />messageSize,</highlight></codeline>
<codeline lineno="309"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*key,</highlight></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />keyLength,</highlight></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga66ead9efce36e261e978cad722bf2dbb">cy_en_crypto_sha_mode_t</ref><sp />mode)</highlight></codeline>
<codeline lineno="312"><highlight class="normal">{</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp />tmpResult<sp />=<sp /><ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="314"><highlight class="normal" /></codeline>
<codeline lineno="315"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allocating<sp />internal<sp />variables<sp />into<sp />the<sp />CRYPTO<sp />SRAM<sp />Buffer<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_crypto_hmac_buffers_t<sp /><sp />*hmacBuffers<sp />=<sp />(cy_stc_crypto_hmac_buffers_t<sp />*)(<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga07acf748f85c91a73ad9b8d78a2f70a5">Cy_Crypto_Core_GetVuMemoryAddress</ref>(base));</highlight></codeline>
<codeline lineno="317"><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_crypto_v1_hmac_state_t<sp />*hmacStateTmp<sp />=<sp />&amp;hmacBuffers-&gt;hmacState;</highlight></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref><sp /><sp /><sp /><sp /><sp /><sp />hashStateLoc<sp />=<sp />{<sp />0<sp />};</highlight></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="321"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*ipadTmp<sp /><sp /><sp /><sp /><sp /><sp />=<sp />(uint8_t*)(&amp;hmacBuffers-&gt;ipad);</highlight></codeline>
<codeline lineno="322"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*opadTmp<sp /><sp /><sp /><sp /><sp /><sp />=<sp />(uint8_t*)(&amp;hmacBuffers-&gt;opad);</highlight></codeline>
<codeline lineno="323"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*m0KeyTmp<sp /><sp /><sp /><sp /><sp />=<sp />(uint8_t*)(&amp;hmacBuffers-&gt;m0Key);</highlight></codeline>
<codeline lineno="324"><highlight class="normal" /></codeline>
<codeline lineno="325"><highlight class="normal"><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Sha_Init(base,<sp />&amp;hashStateLoc,<sp />mode,<sp />&amp;hmacBuffers-&gt;shaBuffers);</highlight></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref><sp />==<sp />tmpResult)</highlight></codeline>
<codeline lineno="328"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_Hmac_Init(hmacStateTmp,<sp />ipadTmp,<sp />opadTmp,<sp />m0KeyTmp);</highlight></codeline>
<codeline lineno="330"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_Hmac_Calculate<sp />(base,<sp />hmacStateTmp,<sp />&amp;hashStateLoc,<sp />key,<sp />keyLength,<sp />message,<sp />messageSize,<sp />hmac);</highlight></codeline>
<codeline lineno="331"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_Hmac_Free(base,<sp />hmacStateTmp);</highlight></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="333"><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal"><sp /><sp /><sp /><sp />(void)Cy_Crypto_Core_V1_Sha_Free(base,<sp />&amp;hashStateLoc);</highlight></codeline>
<codeline lineno="335"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(tmpResult);</highlight></codeline>
<codeline lineno="337"><highlight class="normal">}</highlight></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_SHA<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal">}</highlight></codeline>
<codeline lineno="343"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v1.c" />
  </compounddef>
</doxygen>